# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "hdds-telemetry-otlp"
version = "1.0.11"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "HDDS OpenTelemetry OTLP exporter for traces and metrics"
readme = "README.md"
keywords = [
    "dds",
    "rtps",
    "middleware",
    "pubsub",
    "realtime",
]
categories = ["network-programming"]
license = "Apache-2.0 OR MIT"
repository = "https://git.hdds.io/hdds/hdds.git"

[lib]
name = "hdds_telemetry_otlp"
path = "src/lib.rs"

[[example]]
name = "otlp_basic"
path = "examples/otlp_basic.rs"

[dependencies.opentelemetry]
version = "0.31"
features = [
    "trace",
    "metrics",
]

[dependencies.opentelemetry-otlp]
version = "0.31"
features = [
    "grpc-tonic",
    "trace",
    "metrics",
]
default-features = false

[dependencies.opentelemetry_sdk]
version = "0.31"
features = [
    "trace",
    "metrics",
]

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = ["rt"]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-opentelemetry]
version = "0.32"

[dependencies.tracing-subscriber]
version = "0.3"
features = [
    "env-filter",
    "registry",
]
